# Class ConfigFileLoader

java.lang.Object
org.apache.tomcat.util.file.ConfigFileLoader

public class ConfigFileLoader extends Object
This class is used to obtain `InputStream`s for configuration files from a given location String. This allows greater flexibility than these files having to be loaded directly from a file system.

## Method Summary

Modifier and Type
Method
Description
`static final ConfigurationSource`
`getSource()`
Get the configured configuration source.
`static final void`
`setSource(ConfigurationSource source)`
Set the configuration source used by Tomcat to locate various configuration resources.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getSource

public static final ConfigurationSource getSource()
Get the configured configuration source. If none has been configured, a default source based on the calling directory will be used.

Returns:
  the configuration source in use

### setSource

public static final void setSource(ConfigurationSource source)
Set the configuration source used by Tomcat to locate various configuration resources.

Parameters:
  `source` - The source